Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.declaration
Interface TypeParameterDeclaration

All Superinterfaces:
  Declaration

    public interface TypeParameterDeclaration

extends Declaration

Represents a formal type parameter of a generic type, method, or constructor declaration. A type parameter declares a `TypeVariable`.

Since:
  1.5

Method Summary
`Collection<ReferenceType>` | `getBounds()` Returns the bounds of this type parameter.
`Declaration` | `getOwner()` Returns the type, method, or constructor declaration within which this type parameter is declared.

Methods inherited from interface com.sun.mirror.declaration.Declaration
`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

Method Detail

### getBounds

    Collection<ReferenceType> getBounds()

  Returns the bounds of this type parameter. These are the types given by the extends clause. If there is no explicit extends clause, then `java.lang.Object` is considered to be the sole bound.

  Returns:
    the bounds of this type parameter

### getOwner

    Declaration getOwner()

  Returns the type, method, or constructor declaration within which this type parameter is declared.

  Returns:
    the declaration within which this type parameter is declared

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.